server:
  port: 8080
spring:
  datasource:
    url: jdbc:mysql://localhost:3306/deploy-ease-platform?characterEncoding=utf8&useSSL=false&serverTimezone=UTC&allowPublicKeyRetrieval=true&createDatabaseIfNotExist=true
    username: root
    password: root
    driver-class-name: com.mysql.cj.jdbc.Driver
    hikari:
      # 连接池最大连接数
      maximum-pool-size: 10
      # 最小空闲连接数
      minimum-idle: 5
      # 空闲连接超时时间，默认600000（10分钟）
      idle-timeout: 300000
      # 连接最大存活时间，默认1800000（30分钟）
      max-lifetime: 1800000
      # 连接超时时间，默认30000（30秒）
      connection-timeout: 30000
      # 测试连接是否有效的查询语句
      connection-test-query: SELECT 1
      # 验证连接的超时时间，默认5000（5秒）
      validation-timeout: 5000
      # 从连接池获取连接时是否检查连接有效性
      connection-init-sql: SELECT 1
      # 每隔多久检测一次连接的有效性
      keepalive-time: 60000
      # 是否自动提交事务
      auto-commit: true
      # 连接池名称
      pool-name: HikariCP-Pool
      # 是否允许JMX管理连接池
      register-mbeans: true
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    properties:
      hibernate:
        format_sql: false
        use_sql_comments: true
        dialect: org.hibernate.dialect.MySQL8Dialect
        jdbc:
          time_zone: Asia/Shanghai
    mvc:
      log-request-details: true
    messages:
      basename: messages
      encoding: UTF-8
      fallback-to-system-locale: false
  messages:
    basename: messages
    encoding: UTF-8
    fallback-to-system-locale: false
    always-use-message-format: false
    use-code-as-default-message: true
    cache-duration: 3600
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration
    table: flyway_schema_history
    baseline-version: 0
    validate-on-migrate: true
    placeholderPrefix: "#{"
    placeholderSuffix: "}"
flowable:
  database-schema-update: true
#  id-generator: org.flowable.common.engine.impl.db.DbIdGenerator
#flowable:
#  async-executor:
#    default-async-job-acquire-wait-time: 60000
#    default-timer-job-acquire-wait-time: 60000
#    max-async-jobs-due-per-acquisition: 1
#    retry-wait-time-in-millis: 60000
#    number-of-retries: 1
#    # 自动清理死信任务
#    move-to-dead-letter-on-failure: true
#    # 死信任务的保留时间（毫秒）
#    dead-letter-timeout: 1000
logging:
  level:
    springframework: DEBUG
    org.springframework.web: DEBUG
    org.springframework.context.i18n: DEBUG
    org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping: TRACE
    org.hibernate.SQL: INFO
    org.hibernate.type.descriptor.sql: TRACE
    org.hibernate.type.descriptor.sql.BasicBinder: TRACE
    org.hibernate.orm.jdbc.bind: INFO
    com.qqchen.deploy.backend.framework.utils.EntityPathResolver: DEBUG
    com.qqchen.deploy.backend: DEBUG
jwt:
  secret: 'thisIsAVeryVerySecretKeyForJwtTokenGenerationAndValidation123456789'
  expiration: 86400

jackson:
  time-zone: Asia/Shanghai
